<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van POOR_IN900090NL - Composite Order FUlFillment Request </title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>

    <pattern is-a="transmission-wrapper" id="POOR_IN900090NL-wrapper">
        <param name="element" value="hl7:POOR_IN900090NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="POOR_IN900090NL-controlAct">
        <param name="element" value="hl7:POOR_IN900090NL/hl7:ControlActProcess"/>
    </pattern>

    <pattern id="Wrapper">
        <!-- profileId -->
        <rule context="hl7:profileId">
            <assert test="@root='2.16.840.1.113883.2.4.3.11.1' and(@extension='810')">In de
                transmission wrapper moet het element profileId worden gevuld met de waarde
                '810'</assert>
        </rule>
    </pattern>

    <pattern>
        <rule context="hl7:ControlActProcess">
            <assert test="count(hl7:subject) = 1">ControlActProcess moet precies één subject
                bevatten.</assert>
        </rule>
    </pattern>

    <pattern>
        <title>ControlActProcess/placerGroup</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:placerGroup">
            <assert test="hl7:id">placerGroup.id element ontbreekt</assert>
            <assert test="hl7:code">placerGroup.code element ontbreekt</assert>
            <assert test="hl7:effectiveTime">placerGroup.effectiveTime element ontbreekt</assert>
            <assert test="not(hl7:derivationExpr)">placerGroup.derivationExpr niet
                gebruiken</assert>
            <assert test="hl7:text">placerGroup.text element ontbreekt</assert>
            <assert test="hl7:statusCode">placerGroup.statusCode element ontbreekt</assert>
            <assert test="hl7:confidentialityCode">placerGroup.confidentialityCode element
                ontbreekt</assert>
            <assert test="not(hl7:repeatNumber)">placerGroup.repeatNumber niet gebruiken</assert>
            <assert test="not(hl7:interruptibleInd)">placerGroup.interruptibleInd niet
                gebruiken</assert>
            <assert test="not(hl7:languageCode)">placerGroup.languageCode niet gebruiken</assert>
            <assert test="not(hl7:specimen)">placerGroup.specimen niet gebruiken</assert>
            <assert test="not(hl7:subject)">placerGroup.subject niet gebruiken</assert>
            <assert test="not(hl7:device)">placerGroup.device niet gebruiken</assert>
            <assert test="not(hl7:consumable1)">placerGroup.consumable1 niet gebruiken</assert>
            <assert test="hl7:recordTarget">placerGroup.recordTarget ontbreekt</assert>
            <assert test="hl7:receiver">placerGroup.receiver ontbreekt</assert>
            <assert test="hl7:author">placerGroup.author element ontbreekt</assert>
            <assert test="not(hl7:transcriber)">placerGroup.transcriber niet gebruiken</assert>
            <assert test="not(hl7:referrer)">placerGroup.referrer niet gebruiken</assert>
            <assert test="not(hl7:consultant)">placerGroup.consultant niet gebruiken</assert>
            <assert test="not(hl7:callBackContact)">placerGroup.callBackContact niet
                gebruiken</assert>
            <assert test="not(hl7:informationRecipient)">placerGroup.informationRecipient niet
                gebruiken</assert>
            <assert test="not(hl7:verifier)">placerGroup.verifier niet gebruiken</assert>
            <assert test="not(hl7:dataEntryLocation)">placerGroup.dataEntryLocation niet
                gebruiken</assert>
            <assert test="not(hl7:location)">placerGroup.location niet gebruiken</assert>
            <assert test="not(hl7:goal)">placerGroup.goal niet gebruiken</assert>
            <assert test="not(hl7:occurrenceOf)">placerGroup.occurrenceOf niet gebruiken</assert>
            <assert test="not(hl7:definition)">placerGroup.definition niet gebruiken</assert>
            <assert test="not(hl7:replacementOf)">placerGroup.replacementOf niet gebruiken</assert>
            <assert test="not(hl7:reason)">placerGroup.reason niet gebruiken</assert>
            <assert test="not(hl7:trigger)">placerGroup.trigger niet gebruiken</assert>
            <assert test="not(hl7:precondition)">placerGroup.precondition niet gebruiken</assert>
            <assert test="not(hl7:coverage)">placerGroup.coverage niet gebruiken</assert>
            <assert test="not(hl7:pertinentInformation)">placerGroup.pertinentInformation niet
                gebruiken</assert>
            <assert test="not(hl7:controlVariable)">placerGroup.controlVariable niet
                gebruiken</assert>
            <assert test="not(hl7:component1)">placerGroup.component1 niet gebruiken</assert>
            <assert test="not(hl7:component2)">placerGroup.component2 niet gebruiken</assert>
            <assert test="not(hl7:fulfillment)">placerGroup.fulfillment niet gebruiken</assert>
            <assert test="not(hl7:subjectOf1)">placerGroup.subjectOf1 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf2)">placerGroup.subjectOf2 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf3)">placerGroup.subjectOf3 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf4)">placerGroup.subjectOf4 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf5)">placerGroup.subjectOf5 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf6)">placerGroup.subjectOf6 niet gebruiken</assert>
            <assert test="not(hl7:componentOf1)">placerGroup.componentOf1 niet gebruiken</assert>
            <assert test="not(hl7:componentOf2)">placerGroup.componentOf2 niet gebruiken</assert>
        </rule>

        <rule context="hl7:ControlActProcess/hl7:subject/hl7:placerGroup">
            <assert test="@classCode='GROUPER'">PlacerGroup@classCode is niet gelijk aan
                GROUPER</assert>
            <assert test="@moodCode='RQO'">PlacerGroup@moocCode is niet gelijk aan RQO</assert>
        </rule>

        <rule context="hl7:ControlActProcess/hl7:subject/hl7:placerGroup">
            <assert test="hl7:id/@root and hl7:id/@extension">PlacerGroup.id is niet
                compleet</assert>

            <assert test="hl7:code/@codeSystem='2.16.840.1.113883.6.1'">PlacerGroup.code codeSystem
                OID is niet gelijk aan LOINC 2.16.840.1.113883.6.1</assert>

            <!-- text bevat het document in base 64 enc, omdat dit een content response is moet er altijd een document B64 aanwezig zijn -->
            <assert test="hl7:text/@mediaType='application/hl7-sda+xml'">PlacerGroup.text mediaType
                is niet gelijk aan application/hl7-sda+xml</assert>
            <assert test="hl7:text/@representation='B64'">PlacerGroup.text representation is niet
                gelijk aan B64 base 64</assert>
            <assert test="string-length(hl7:text)>0">PlacerGroup.text bevat geen inhoud
                (document)</assert>

            <assert test="count(hl7:statusCode) = 1">PlacerGroup.statusCode (hl7:statusCode) element
                required/mandatory [min/max 1x]</assert>

            <assert test="count(hl7:effectiveTime)=1">PlacerGroup.effectiveTime (hl7:effectiveTime)
                element required/mandatory [min 1x]</assert>

            <assert test="count(hl7:confidentialityCode)=1 ">PlacerGroup.confidentialityCode
                (hl7:confidentialityCode) element required/mandatory [min/max 1x]</assert>
            <assert test="hl7:confidentialityCode/@codeSystem='2.16.840.1.113883.5.25'"
                >PlacerGroup.confidentialityCode codeSystem OID is niet gelijk aan LOINC
                2.16.840.1.113883.5.25</assert>
        </rule>
    </pattern>

    <pattern>
        <title>ProcedureRequest</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:procedureRequest">
            <assert test="hl7:id">procedureRequest.id element ontbreekt</assert>
            <assert test="hl7:code">procedureRequest.code element ontbreekt</assert>
            <assert test="hl7:effectiveTime">procedureRequest.effectiveTime element
                ontbreekt</assert>
            <assert test="not(hl7:derivationExpr)">procedureRequest.derivationExpr niet
                gebruiken</assert>
            <assert test="hl7:text">procedureRequest.text element ontbreekt</assert>
            <assert test="hl7:statusCode">procedureRequest.statusCode element ontbreekt</assert>
            <assert test="hl7:confidentialityCode">procedureRequest.confidentialityCode element
                ontbreekt</assert>
            <assert test="not(hl7:repeatNumber)">procedureRequest.repeatNumber niet
                gebruiken</assert>
            <assert test="not(hl7:interruptibleInd)">procedureRequest.interruptibleInd niet
                gebruiken</assert>
            <assert test="not(hl7:independentInd)">procedureRequest.independentInd niet
                gebruiken</assert>
            <assert test="not(hl7:methodCode)">procedureRequest.methodCode niet gebruiken</assert>
            <assert test="not(hl7:approachSiteCode)">procedureRequest.approachSiteCode niet
                gebruiken</assert>
            <assert test="not(hl7:targetSiteCode)">procedureRequest.targetSiteCode niet
                gebruiken</assert>
            <assert test="not(hl7:languageCode)">procedureRequest.languageCode niet
                gebruiken</assert>
            <assert test="not(hl7:specimen)">procedureRequest.specimen niet gebruiken</assert>
            <assert test="not(hl7:subject)">procedureRequest.subject niet gebruiken</assert>
            <assert test="not(hl7:device)">procedureRequest.device niet gebruiken</assert>
            <assert test="not(hl7:consumable1)">procedureRequest.consumable1 niet gebruiken</assert>
            <assert test="hl7:recordTarget">procedureRequest.recordTarget ontbreekt</assert>
            <assert test="hl7:receiver">procedureRequest.receiver ontbreekt</assert>
            <assert test="hl7:author">procedureRequest.author element ontbreekt</assert>
            <assert test="not(hl7:transcriber)">procedureRequest.transcriber niet gebruiken</assert>
            <assert test="not(hl7:referrer)">procedureRequest.referrer niet gebruiken</assert>
            <assert test="not(hl7:consultant)">procedureRequest.consultant niet gebruiken</assert>
            <assert test="not(hl7:callBackContact)">procedureRequest.callBackContact niet
                gebruiken</assert>
            <assert test="not(hl7:informationRecipient)">procedureRequest.informationRecipient niet
                gebruiken</assert>
            <assert test="not(hl7:verifier)">procedureRequest.verifier niet gebruiken</assert>
            <assert test="not(hl7:dataEntryLocation)">procedureRequest.dataEntryLocation niet
                gebruiken</assert>
            <assert test="not(hl7:goal)">procedureRequest.goal niet gebruiken</assert>
            <assert test="not(hl7:occurrenceOf)">procedureRequest.occurrenceOf niet
                gebruiken</assert>
            <assert test="not(hl7:definition)">procedureRequest.definition niet gebruiken</assert>
            <assert test="not(hl7:replacementOf)">procedureRequest.replacementOf niet
                gebruiken</assert>
            <assert test="not(hl7:reason)">procedureRequest.reason niet gebruiken</assert>
            <assert test="not(hl7:trigger)">procedureRequest.trigger niet gebruiken</assert>
            <assert test="not(hl7:precondition)">procedureRequest.precondition niet
                gebruiken</assert>
            <assert test="not(hl7:coverage)">procedureRequest.coverage niet gebruiken</assert>
            <assert test="not(hl7:pertinentInformation)">procedureRequest.pertinentInformation niet
                gebruiken</assert>
            <assert test="not(hl7:controlVariable)">procedureRequest.controlVariable niet
                gebruiken</assert>
            <assert test="not(hl7:component1)">procedureRequest.component1 niet gebruiken</assert>
            <assert test="not(hl7:component2)">procedureRequest.component2 niet gebruiken</assert>
            <assert test="not(hl7:fulfillment)">procedureRequest.fulfillment niet gebruiken</assert>
            <assert test="not(hl7:subjectOf1)">procedureRequest.subjectOf1 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf2)">procedureRequest.subjectOf2 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf3)">procedureRequest.subjectOf3 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf4)">procedureRequest.subjectOf4 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf5)">procedureRequest.subjectOf5 niet gebruiken</assert>
            <assert test="not(hl7:subjectOf6)">procedureRequest.subjectOf6 niet gebruiken</assert>
            <assert test="not(hl7:componentOf1)">procedureRequest.componentOf1 niet
                gebruiken</assert>
            <assert test="not(hl7:componentOf2)">procedureRequest.componentOf2 niet
                gebruiken</assert>
        </rule>

        <title>procedureRequest</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:procedureRequest">
            <assert test="@classCode='PROC'">ProcedureRequest@classCode is niet gelijk aan
                PROC</assert>
            <assert test="@moodCode='RQO'">ProcedureRequest@moocCode is niet gelijk aan RQO</assert>
        </rule>

        <title>procedureRequest/</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:procedureRequest">
            <assert test="hl7:id/@root and hl7:id/@extension">ProcedureRequest.id is niet
                compleet</assert>

            <assert test="hl7:code/@codeSystem='2.16.840.1.113883.6.1'">ProcedureRequest.code
                codeSystem OID is niet gelijk aan LOINC 2.16.840.1.113883.6.1</assert>

            <!-- text bevat het document in base 64 enc, omdat dit een content response is moet er altijd een document B64 aanwezig zijn -->
            <assert test="hl7:text/@mediaType='application/hl7-sda+xml'">ProcedureRequest.text
                mediaType is niet gelijk aan application/hl7-sda+xml</assert>
            <assert test="hl7:text/@representation='B64'">ProcedureRequest.text representation is
                niet gelijk aan B64 base 64</assert>
            <assert test="string-length(hl7:text)>0">ProcedureRequest.text bevat geen inhoud
                (document)</assert>

            <assert test="count(hl7:statusCode) = 1">ProcedureRequest.statusCode (hl7:statusCode)
                element required/mandatory [min/max 1x]</assert>

            <assert test="count(hl7:effectiveTime)=1">ProcedureRequest.effectiveTime
                (hl7:effectiveTime) element required/mandatory [min 1x]</assert>

            <assert test="count(hl7:confidentialityCode)=1 ">ProcedureRequest.confidentialityCode
                (hl7:confidentialityCode) element required/mandatory [min/max 1x]</assert>
            <assert test="hl7:confidentialityCode/@codeSystem='2.16.840.1.113883.5.25'"
                >ProcedureRequest.confidentialityCode codeSystem OID is niet gelijk aan LOINC
                2.16.840.1.113883.5.25</assert>
        </rule>

        <title>RecordTarget</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:recordTarget">

            <assert test="hl7:patient and count(*)=1">De participatie recordTarget kan alleen het
                element patient bevatten</assert>

            <assert
                test="count(hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3' and @extension])>0"
                >BSN ontbreekt in Patient</assert>

            <assert test="hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
                >RecordTarget/patient/id moet een burgerservicenummer zijn</assert>

            <assert test="count(hl7:patient/hl7:patientPerson/hl7:name[@qualifier='BR'])=0"
                >RecordTarget/patient/patientPerson/name moet tenminste één element met qualifier=BR
                hebben.</assert>
        </rule>

        <title>Author</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:author">
            <assert test="hl7:time/@value or
                hl7:time/@nullFlavor='UNK'">author/time
                ontbreekt of nullFlavor is niet gelijk aan 'UNK'</assert>
            <assert test="not(hl7:assignedEntity/hl7:assignedDevice)">assignedEntity.assignedDevice
                niet gebruiken</assert>
            <assert test="not(hl7:assignedEntity/hl7:assignedOrganization)"
                >assignedEntity.assignedOrganization niet gebruiken</assert>
        </rule>

        <title>ServiceDeliveryLocation</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:location/hl7:serviceDeliveryLocation">
            <assert test="hl7:code/@codeSystem='2.16.840.1.113883.6.1'">ProcedureRequest.code
                codeSystem OID is niet gelijk aan 2.16.840.1.113883.5.111</assert>
        </rule>

        <title>Performer</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:performer">
            <assert test="not(hl7:patient and count(*)=1)">ProcedureRequest.performer mag geen
                patient bevatten</assert>
        </rule>

    </pattern>

</schema>
