<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van POOR_IN900195NL - Composite Order FulFillment Request, Reject</title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>
    
    <pattern is-a="transmission-wrapper" id="POOR_IN900195NL-wrapper">
        <param name="element" value="hl7:POOR_IN900195NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="POOR_IN900195NL-controlAct">
        <param name="element" value="hl7:POOR_IN900195NL/hl7:ControlActProcess"/>
    </pattern>
    
    <pattern id="Wrapper">
        <!-- profileId -->
        <rule context="hl7:profileId">
            <assert test="@root='2.16.840.1.113883.2.4.3.11.1' and(@extension='810')"
                >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
        </rule>
    </pattern>
    
    <pattern>
        <rule context="hl7:ControlActProcess">
            <assert test="count(hl7:subject) = 1">ControlActProcess moet precies één subject bevatten.</assert>
            
            <assert test="hl7:reason/hl7:justifyingDetectedIssueEvent/hl7:code"
                >justifyingDetectedIssueEvent ontbreekt. Bij een weigering hoort ook een reden waarom.</assert>
        </rule>
    </pattern>
    
    <pattern>
        <rule context="hl7:MinimalActReference">
            <assert test="count(hl7:id)=1 ">MinimalActReference.id
                (hl7:MinimalActReference.id) element required/mandatory [min/max 1x]</assert>
        </rule>
    </pattern>
</schema>
