<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van QUPC_IN990001NL - Primary Care EHR Extract Query</title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>
    
    <!--pattern is-a="attentionLine" id="QUPC_IN990001NL-attentionLine">
        <param name="messagePatientId" value="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value"/>
        <param name="attentionLineOptional" value="'true'"/>
    </pattern-->
    
    <pattern is-a="transmission-wrapper" id="QUPC_IN990001NL-wrapper">
        <param name="element" value="hl7:QUPC_IN990001NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="QUPC_IN990001NL-controlAct">
        <param name="element" value="hl7:QUPC_IN990001NL/hl7:ControlActProcess"/>
    </pattern>
    
    <pattern>
        <!-- profileId -->
        <rule context="hl7:QUPC_IN990001NL/hl7:profileId">
            <extends rule="II"/>
            <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
                >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
        </rule>
        <rule context="hl7:QUPC_IN990001NL/hl7:acceptAckCode">
            <extends rule="CS"/>
            <assert role="error" test="@code='NE'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'NE'.</assert>
        </rule>
        <rule context="hl7:QUPC_IN990001NL/hl7:attentionLine">
            <assert role="warning" test="not(.)">Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
        </rule>
    </pattern>
    
    <!-- queryByParameter -->
    <pattern>
        <title>queryByParameter</title>
        <rule context="hl7:queryByParameter">
            <assert role="error" test="hl7:responseModalityCode/@code='B'or ../../hl7:sender/hl7:device/hl7:id/@extension='1'"
                >De responseModalityCode moet B (batch) zijn. Zie Architectuur Ontwerp HWG AE-05b.</assert>
            <assert role="error" test="not(hl7:initialQuantity)"
                >Gebruikt van initialQuantity is niet toegestaan, er moet gevraagd worden om een niet-gedoseerde oplevering. Zie Architectuur Ontwerp HWG AE-05a.</assert>
        </rule>
        
        <rule context="hl7:queryByParameter/hl7:patientId/hl7:value">
            <extends rule="II"/>
            <assert role="error" test="@root='2.16.840.1.113883.2.4.6.3'"
                >OID root van patientID wijst niet naar BSN register</assert>
        </rule>
    </pattern>
</schema>
