<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT990001NL">
    <title>A_Referral universal - Verwijzing</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT990001NL: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT990001NL: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        
        <assert role="error" test="ancestor::hl7:encounter or hl7:effectiveTime/@value"
            >COCT_MT990001NL: effectiveTime is verplicht in een niet-contactgebonden verwijzing</assert>
    </rule>
    
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT990001NL: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <assert role="error" test="@nullFlavor or (@code and @displayName)"
            >COCT_MT990001NL: @code en @displayName moeten een warden beavatten</assert>
        <assert role="error" test="@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.30.12'"
            >COCT_MT990001NL: @codeSystem moet '2.16.840.1.113883.2.4.4.30.12' (NHG Tabel 12) bevatten</assert>
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='completed'"
            >COCT_MT990001NL: @code moet 'completed' bevatten</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low"
            >COCT_MT990001NL: low moet de datum en indien bekend de tijd bevatten van de start van de verwijzing</assert>
        <assert role="error" test="not(@value or hl7:center or hl7:width)"
            >COCT_MT990001NL: alleen low en optioneel high mogen worden gebruikt</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT990001NL: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT990001NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT990001NL: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT990001NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>

    <rule context="$element/hl7:performer">
        <assert role="error" test="not(@typeCode) or  @typeCode='PRF'"
            >COCT_MT990001NL: @typeCode moet, indien anwezig, 'PRF' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT990001NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
        
        <assert role="error" test="hl7:AssignedEntity/hl7:id[@root and @extension]"
            >COCT_MT990001NL: performer/id moet de identificatie van de uitvoerder bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(.)"
            >COCT_MT990001NL: er mag geen (andere) patiënt aan de contra-inicatie worden gekoppeld</assert>
    </rule>
</pattern>