<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for QUPC_IN443130NL -  </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
<include href="include/DTr1_XML.NL.sch"/>
   <include href="include/transmission-wrapper.NL.sch"/>
   <include href="include/controlAct-wrapper.NL.sch"/>
   <pattern is-a="transmission-wrapper" id="QUPC_IN443130NL-wrapper">
      <param name="element" value="hl7:QUPC_IN443130NL"/>
   </pattern>
   <pattern is-a="controlAct-wrapper" id="QUPC_IN443130NL-controlAct">
      <param name="element" value="hl7:QUPC_IN443130NL/hl7:ControlActProcess"/>
   </pattern>
   <pattern>
      <rule context="hl7:QUPC_IN443130NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'">In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
   </pattern>
   <!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario opvragenMeldkamerPS -->

<!-- PrimaryCareRecordProfileQueryMeldkamer-PS -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.9001.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



<!-- includes -->
<!-- CorrespondentieVerkort -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.10.sch"/>
   <!-- Assessment -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.100.sch"/>
   <!-- AssessmentPlan -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.101.sch"/>
   <!-- Zorgvraag -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.103.sch"/>
   <!-- Zorgaanvrager -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.104.sch"/>
   <!-- Vraagstelling -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.105.sch"/>
   <!-- Conclusie -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.107.sch"/>
   <!-- AanbevelingenHuisarts -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.108.sch"/>
   <!-- Anamnese -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.109.sch"/>
   <!-- FamilieAnamnese -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.110.sch"/>
   <!-- PsychosocialeAnamnese -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.111.sch"/>
   <!-- LichamelijkOnderzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.112.sch"/>
   <!-- LaboratoriumOderzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.113.sch"/>
   <!-- BeeldvormendOnderzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.114.sch"/>
   <!-- FunctioneelOnderzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.115.sch"/>
   <!-- OverigOnderzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.116.sch"/>
   <!-- IntercollegiaalConsult -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.117.sch"/>
   <!-- RisicovolLeefgedrag -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.118.sch"/>
   <!-- Reanimatiebeleid -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.119.sch"/>
   <!-- PatientAdvies -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.120.sch"/>
   <!-- BelasteFamilieanamnese -->
<include href="include/2.16.840.1.113883.2.4.6.10.40.17.sch"/>
   <!-- Overdrachtgegevens -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.1.sch"/>
   <!-- Episode -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.15.sch"/>
   <!-- ActReferentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.16.sch"/>
   <!-- PatientNL -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.18.sch"/>
   <!-- PersonNL -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.19.sch"/>
   <!-- DatumLaatsteContact -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.2.sch"/>
   <!-- AssignedPartyNL -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.20.sch"/>
   <!-- AssignedPersonNL -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.21.sch"/>
   <!-- AssignedPersonIdentified -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.22.sch"/>
   <!-- PatientNLIdentified -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.23.sch"/>
   <!-- FamilieRelatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.24.sch"/>
   <!-- EpisodeNaam -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.25.sch"/>
   <!-- Contact -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.3.sch"/>
   <!-- Journaalregel -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.4.sch"/>
   <!-- Diagnose -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.5.sch"/>
   <!-- Uitslag -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.6.sch"/>
   <!-- Correspondentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.70.9.sch"/>

</schema>