<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.102
Description: COCT_RM050000NL02: Patiënt/persoonsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.102">
   <title>R_PatientNL GBA [identified/confirmable]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient"
         id="tmp-c80c469d-feea-4a6d-808a-22ba3db9522c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@classCode='PAT' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']|hl7:id[@root='2.16.840.1.113883.2.4.6.3']|hl7:addr|hl7:patientPerson))=0">(R_PatientNL-GBA-identified-confirmable): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(R_PatientNL-GBA-identified-confirmable): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:patientPerson)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']"
         id="tmp-9135ea99-382f-45e4-b293-2b60176a6542">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.102'">(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.102' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-GBA-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-a432f5ec-8ff4-4b48-8806-ab770392d464">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor='NA' or not(@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-GBA-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:addr
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:addr"
         id="tmp-6666ed8c-c7b8-46f6-ba23-91a024077752">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="not(.)">(R_PatientNL-GBA-identified-confirmable): 
                        <name/> is voor deze template niet gespecificeerd</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson"
         id="tmp-94af1dae-cd39-4b17-aad5-f769da7cc61d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(* except (hl7:name|hl7:administrativeGenderCode|hl7:birthTime))=0">(R_PatientNL-GBA-identified-confirmable): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-e2f8df6d-4e67-4831-baaa-b11ccd2d9951">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@use='OR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(* except (hl7:given|hl7:prefix|hl7:family))=0">(R_PatientNL-GBA-identified-confirmable): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:given)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:prefix)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="count(hl7:family)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:given
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:given"
         id="tmp-067eeaff-9650-4ff4-be94-542f2f507867">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="not(@qualifier)">(R_PatientNL-GBA-identified-confirmable): 
                                <name/>/@qualifier is niet toegestaan</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix"
         id="tmp-ed2e2c60-0ce3-45b4-842f-87d936c07cf8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(R_PatientNL-GBA-identified-confirmable): 
                                <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:family
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:family"
         id="tmp-913b3797-2d99-4067-8f2d-6535770e5808">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@qualifier='BR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-bb58bf3b-81be-4f0d-8b6f-f2fc11e35ae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-GBA-identified-confirmable): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-GBA-identified-confirmable): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: (R_PatientNL-GBA-identified-confirmable)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-36f40a46-adce-42dd-86c0-65231f8f444d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.102.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
