<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.123
Description: COCT_RM900916NL03: Gegevens van rijksvaccinaties en andere vaccinaties. Verschillen met versie 2 zijn: 
                    SubstanceAdministration.moodCode was “EVN”, is nu D:ActMood om "nog te geven vaccinaties" toe te staan "EVN" was en is een werkelijke vaccinatie"RMD" is de aanbeveling tot geven van een vaccinatieVanwege de naamconventies is hierdoor ook SubstanceAdministrationEvent veranderd in SubstanceAdministration
                    SubstanceAdministration.effectiveTime gewijzigd in [0..1] O t.b.v. te-verwachten-vaccinaties
                    SubstanceAdministration.limitation is toegevoegd t.b.v. "Minimale vaccinatiedatum"
                    SubstanceAdministration.location toegevoegd t.b.v. "Toedieningslocatie"
                
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.123">
   <title>A_Rijksvaccinatie [informational/all]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-cb445e22-8e0a-4cc2-977e-dfd999db2a60">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:substanceAdministration is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration"
         id="tmp-fb792b7c-c366-4311-ad6e-c087ab1cf23a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or @moodCode='RMD'">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET één van de volgende codes bevatten: EVN', 'RMD.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational-all): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@negationInd='true' and @moodCode='RMD')">(A_Rijksvaccinatie-informational-all): <name/>/@negationInd MAG NIET 'true' zijn bij te-verwachten-vaccinaties</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@moodCode='RMD' and hl7:effectiveTime)">(A_Rijksvaccinatie-informational-all): <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Alle datumspecificaties MOETEN onder het element limitation</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@moodCode='RMD' and hl7:performer)">(A_Rijksvaccinatie-informational-all): <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN uitvoerende partij hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@moodCode='RMD' and hl7:authorization)">(A_Rijksvaccinatie-informational-all): <name/>/@moodCode='RMD' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN bezwaar bevatten</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']|hl7:code|hl7:effectiveTime|hl7:consumable|hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]|hl7:location|hl7:authorization|hl7:limitation))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]])&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:location)=0">(A_Rijksvaccinatie-informational-all): element hl7:location MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']"
         id="tmp-57fb4365-fc91-4756-a0d4-efb39138dac1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.123'">(A_Rijksvaccinatie-informational-all): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.123' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Rijksvaccinatie-informational-all): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:code
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:code"
         id="tmp-03832bde-8995-4e89-bb47-550bfe4f42ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-5336378b-e552-4c62-9bde-34c3aa367f7b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-271df429-832b-4cac-9700-f770a792f238">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:medication))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication"
         id="tmp-42af8fdb-bb5d-4ced-8ca8-f40ec71185d3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:administrableMedicine))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-8e157f65-0020-4950-a4ec-10e5d46924b0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational-all): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(hl7:lotNumberText and ../../../hl7:authorization)">(A_Rijksvaccinatie-informational-all): lotNumberText KAN GEEN waarde bevatten, als er sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(hl7:lotNumberText and ../../../@moodCode='RMD')">(A_Rijksvaccinatie-informational-all): lotNumberText KAN GEEN waarde bevatten, voor te-verwachten-vaccinaties</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:code|hl7:lotNumberText))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-b7a64250-fa64-4280-8dd0-8125e52141f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="(@code and @displayName) or (@nullFlavor and hl7:originalText)">(A_Rijksvaccinatie-informational-all): <name/> MOET @code en @displayName bevatten OF @nullFlavor en originalText</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-a0b7d92d-e3a0-474b-8893-1b30c032c1c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]
Item: (A_Rijksvaccinatie-informational-all)
-->
<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']]]"
         id="tmp-55ac57ed-531a-4f10-8f51-6299d858e3a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:location
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:location"
         id="tmp-2e2acf76-dc3a-43cd-941d-2051126a09fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='LOC' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:serviceDeliveryLocation))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:location/hl7:serviceDeliveryLocation
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-5ccf0487-6e7d-4bd7-87d2-9c3a2e37a2e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='SDLOC'">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'SDLOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization"
         id="tmp-d956a081-6cd8-40b1-ae3e-6f154f502b88">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational-all): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:consentEvent))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent"
         id="tmp-6ee774c1-afa9-41fd-8184-84a8084834d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:code|hl7:reasonOf))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:code
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-704857b1-0ad6-4131-8490-1d87b1377e6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-all): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-dd4afd11-53a6-4a43-bddd-3e88d9348549">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational-all): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:observationEvent))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-83cb3d9f-1036-4793-a5c4-3e4ba1003cfb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational-all): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-all): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational-all): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-54e79dfd-e0eb-411a-8b90-a6c4ec7e41d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational-all): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-f1a075ab-6e28-44d2-b779-6542f2e231ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-all): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@nullFlavor or hl7:originalText)">(A_Rijksvaccinatie-informational-all): Uit privacyoverwegingen is het doorgeven van een bezwaarreden, anders dan "Medisch" of "Principieel", NIET toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation"
         id="tmp-17b49034-eb44-4367-9230-f43917b7b455">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:dateCriterion))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:dateCriterion)&gt;=1 and not(hl7:dateCriterion/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:dateCriterion)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:dateCriterion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion"
         id="tmp-de4b7358-2106-4ef5-a53b-bf4a73768e49">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Rijksvaccinatie-informational-all): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Rijksvaccinatie-informational-all): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational-all): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion/hl7:code
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion/hl7:code"
         id="tmp-aae432c8-1d3d-4759-afb0-f04df456fc57">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='30981-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30980-7' and @codeSystem='2.16.840.1.113883.6.1')">(A_Rijksvaccinatie-informational-all): de waarde van @code MOET één van de volgende codes bevatten: '30981-5' codeSystem '2.16.840.1.113883.6.1' of '30980-7' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion/hl7:value
Item: (A_Rijksvaccinatie-informational-all)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:limitation/hl7:dateCriterion/hl7:value"
         id="tmp-b92ef228-ef04-482f-a1f8-16b9e9dc165f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(A_Rijksvaccinatie-informational-all): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
