<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.125
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (optioneel) en een Organisatie-naam (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.125">
   <title>R_AssignedEntityNL [confirmable]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]
Item: (R_AssignedEntityNL-confirmable)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity
Item: (R_AssignedEntityNL-confirmable)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity"
         id="tmp-a1e8aa07-108b-4e4a-9ddc-ca0f38bcd198">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']|hl7:id[@root='2.16.528.1.1007.3.3']|hl7:assignedOrganization))=0">(R_AssignedEntityNL-confirmable): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'])&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:assignedOrganization)&gt;=1 and not(hl7:assignedOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:assignedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:assignedOrganization)&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:assignedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']
Item: (R_AssignedEntityNL-confirmable)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.125']"
         id="tmp-65e196ed-6dc8-4e97-afc3-273037a0d690">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.125'">(R_AssignedEntityNL-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.125' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-confirmable)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-0bd34a15-2c21-4b32-a807-dda6d22648b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-confirmable): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:assignedOrganization
Item: (R_AssignedEntityNL-confirmable)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:assignedOrganization"
         id="tmp-e36acca3-284f-4131-a384-bf14ef9b0ade">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(* except (hl7:name))=0">(R_AssignedEntityNL-confirmable): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_AssignedEntityNL-confirmable): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.125
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:assignedOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.125']]/hl7:assignedEntity/hl7:assignedOrganization/hl7:name"
         id="tmp-c0b735f7-3f70-4f00-94d2-c013b6336468">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.125.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(R_AssignedEntityNL-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
