<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-2e34a160-7449-4481-8a6c-52a864bde6d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:ProductList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:ProductList)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList"
         id="tmp-2b4665a8-271a-48c5-a56f-52360e480691">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='LIST' or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@moodCode='EVN' or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']|hl7:code|hl7:effectiveTime|hl7:product))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="tmp-2755a7f6-181c-4521-97bc-71d2ea0a7388">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.140'">(VersturenGeldigePartijnummers-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VersturenGeldigePartijnummers-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code"
         id="tmp-95adb0ad-d232-4609-a00e-e522751f3cb4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">(VersturenGeldigePartijnummers-payload): de waarde van @code/@codeSystem MOET ''373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime"
         id="tmp-4d6674b3-5790-4645-89e4-0a40e5ac9e9c">
      <extends rule="tmp-edf45911-1229-4a41-a191-a7787ca1d1d1"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:center|hl7:width|hl7:low|hl7:high|hl7:width|hl7:center))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low"
         id="tmp-33374a5d-6297-4b20-967f-cd7ce1ac3315">
      <extends rule="tmp-e79f7034-a7d8-4cd4-9f3d-f741ea3d9bab"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high"
         id="tmp-5991af85-a85b-4b1e-9dcc-779c9c730b0b">
      <extends rule="tmp-204d68da-038d-4a94-99ef-faaf86af4bf2"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList"
         id="tmp-32f7c900-4805-4fa8-95df-45106dbcf141">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:center|hl7:width|hl7:low|hl7:high|hl7:width|hl7:center))=0">(Periode-M-Start-M-Eind-M): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-edf45911-1229-4a41-a191-a7787ca1d1d1" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:width|hl7:center))=0">(Periode-M-Start-M-Eind-M): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-e79f7034-a7d8-4cd4-9f3d-f741ea3d9bab" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-204d68da-038d-4a94-99ef-faaf86af4bf2" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product"
         id="tmp-264270d9-e23a-4196-b4d1-69e96e0b5e31">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@typeCode='PRD'">(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:instanceOfKind))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:instanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind"
         id="tmp-2e8eba9d-2eb8-4d68-895f-c7d3439a33e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:productInstanceInstance|hl7:kindOfProduct))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:productInstanceInstance)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfProduct)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-800ef921-f674-4644-a101-6562b7175449">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MMAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='INSTANCE'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:id|hl7:expirationTime|hl7:asInstanceOfKind))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:id)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:expirationTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:asInstanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="tmp-fd0c18d5-808d-4903-be79-b1f3972b89e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime"
         id="tmp-c140bd34-c501-4c70-be68-75a08d473147">
      <extends rule="tmp-a5f2b3ee-bf48-461b-a69e-38b1129267d2"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:low|hl7:high|hl7:width|hl7:center))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)=0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high"
         id="tmp-887e5fef-c642-4fd4-b095-bed3484e4102">
      <extends rule="tmp-34affc22-0752-4d9c-99be-4a0bc5f5b32e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-a69f24d7-cb17-4d1d-8d21-e6f78ddb1e91">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:low|hl7:high|hl7:width|hl7:center))=0">(Periode-O-Start-O-Eind-O): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-a5f2b3ee-bf48-461b-a69e-38b1129267d2" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:low|hl7:high|hl7:width|hl7:center))=0">(Periode-O-Start-O-Eind-O): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low"
         id="tmp-e989a2ed-c48a-4698-8011-cb622d0625a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-34affc22-0752-4d9c-99be-4a0bc5f5b32e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind"
         id="tmp-20ad9a09-341f-4565-96cc-24350f04521f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:kindOfMaterialKind))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:kindOfMaterialKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind"
         id="tmp-d79d50f2-a2b0-470c-91fd-4ee15294f3d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:code))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code"
         id="tmp-732b0b8f-f602-4e15-9d8b-9e19cacbbc9f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(VersturenGeldigePartijnummers-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(VersturenGeldigePartijnummers-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="tmp-bc9f9ca8-a36c-4ec1-8d95-410037201d33">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@classCode='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@determinerCode='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(* except (hl7:code))=0">(VersturenGeldigePartijnummers-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="tmp-631b3091-fc31-464a-a26c-1197db0ba4d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.140.html"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
