<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.202
Description: Dit is het template voor een control act wrapper in een reagerend opleverbericht. AuthorOrPerformer en Overseer worden hierin niet gecontroleerd. Deze worden in separate templates gedefinieerd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.202">
   <title>ControlAct Query Response / Acknowledgement</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-41dd4753-eeef-488e-9ebe-bfd4e1ff6d33">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@moodCode='EVN'">(ControlActWrapperQUQI_MT120001): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:id)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:code)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:text)=0">(ControlActWrapperQUQI_MT120001): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:effectiveTime)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:reasonCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:languageCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:informationRecipient)=0">(ControlActWrapperQUQI_MT120001): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:dataEnterer)=0">(ControlActWrapperQUQI_MT120001): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryAck)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryAck komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:id"
         id="tmp-bd74df39-6047-45c7-8d9a-30bd21c69fd8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:code"
         id="tmp-1c19948b-de16-45f5-99ab-91c553ff6278">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperQUQI_MT120001): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-1ee8d8bd-5f14-4681-a57f-cb1721904193">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonOf
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck"
         id="tmp-aeffcba1-2595-47fd-9529-d972efacb8ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryId)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:statusCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryResponseCode)&gt;=1 and not(hl7:queryResponseCode/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryResponseCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultTotalQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultTotalQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultCurrentQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultCurrentQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultRemainingQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultRemainingQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryId
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryId"
         id="tmp-606ee5a8-1445-492f-a9dc-9c6ab7088677">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:statusCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:statusCode"
         id="tmp-f5ea4786-5db8-4c40-8923-dd0a3dafebc2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@code='aborted') or (@code='deliveredResponse')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'aborted' of 'deliveredResponse'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode"
         id="tmp-dfed2b18-f69c-424c-b08b-ac29c099a8d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@code='OK') or (@code='NF') or (@code='QE') or (@code='AE')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'OK' of 'NF' of 'QE' of 'AE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity"
         id="tmp-51a2e94c-a961-4ea4-96b7-e4935fa683ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="$digitok">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity"
         id="tmp-9d1b59a4-33a1-4eab-894c-cbb3cd4d5117">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="$digitok">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity"
         id="tmp-d5c8cd01-2963-48ee-ab62-9b1af2270dde">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="$digitok">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
