<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.40
Description: Nictiz Care Record Control Room Emergency Care
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.40">
   <title>Meldkamer-terugrapportage</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]
Item: (Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent"
         id="tmp-efaa8386-e313-4d5d-9139-9370e39f62f8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='PCPR'">(Meldkamerterugrapportage): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN'">(Meldkamerterugrapportage): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']/@nullFlavor)">(Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'])&lt;=1">(Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Meldkamerterugrapportage): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:statusCode)&lt;=1">(Meldkamerterugrapportage): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(Meldkamerterugrapportage): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:recordTarget)&lt;=1">(Meldkamerterugrapportage): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:author)&gt;=1 ">(Meldkamerterugrapportage): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:author)&lt;=1">(Meldkamerterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:reason)&gt;=1 ">(Meldkamerterugrapportage): element hl7:reason is required [min 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="$elmcount&gt;=1">(Meldkamerterugrapportage): keuze (hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']
Item: (Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']"
         id="tmp-c31551f0-69a0-45de-8387-beff4eca6e75">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.40'">(Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.40' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (CPpart4terugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-5cd180ec-0196-4c32-b69d-bb1630d0a066">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(CPpart4terugrapportage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='completed')">(CPpart4terugrapportage): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (Choice.6.42.1.6)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent"
         id="tmp-cf36179f-a48e-4c54-9f5f-73d83aa0bf90">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(Choice.6.42.1.6): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]"
         id="tmp-c524bfe0-03b8-4abc-893b-3e6f8bdd7f3c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]"
         id="tmp-0071bcbf-f7db-424d-a676-ffc9ff405caa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]"
         id="tmp-72b996fe-5497-44f0-9c4f-604428d7ef60">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-4b34e729-e448-44ff-985d-60a900910924">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-f50853dc-1af3-4e91-9afe-faf3d7cc981a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (Choice.6.42.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-aea301c9-41a2-4543-85b2-d2530622e865">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true'">(Choice.6.42.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT'">(Choice.6.42.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>
</pattern>