<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.42
Description: Nictiz Care Record First Aid
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.42">
   <title>SEH-terugrapportage</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]
Item: (SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent"
         id="tmp-b15b2c95-4520-48fa-8c1e-f06e0c64b397">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='PCPR'">(SEHterugrapportage): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN'">(SEHterugrapportage): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']/@nullFlavor)">(SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'])&lt;=1">(SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(SEHterugrapportage): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:statusCode)&lt;=1">(SEHterugrapportage): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(SEHterugrapportage): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:recordTarget)&lt;=1">(SEHterugrapportage): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&gt;=1 ">(SEHterugrapportage): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:reason)&gt;=1 ">(SEHterugrapportage): element hl7:reason is required [min 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&gt;=1">(SEHterugrapportage): keuze (hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]])&lt;=1">(SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']
Item: (SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']"
         id="tmp-f06c2830-7c5c-421a-b834-c4705ea13c04">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.42'">(SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.42' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (CPpart4terugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-49911f39-9e46-47fc-babd-491d876a7f0b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(CPpart4terugrapportage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='completed')">(CPpart4terugrapportage): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (CPpart4terugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (Choice.6.44.1.2)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent"
         id="tmp-58dded8f-c2c4-41aa-bdf1-f6184d1187f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]])&lt;=1">(Choice.6.44.1.2): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-6a35464a-a245-4179-ac7d-3344de31359d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-9a80544e-6fc5-4106-a0b8-485482112527">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]"
         id="tmp-ba2c002b-37e9-428f-8c56-6adbb372164f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-4b0792ce-7555-44c3-80e7-ac10a2c26abf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-66366a35-24de-4aa8-8966-12211566608f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-2f61fe95-550c-467a-860f-9a6959094edd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]"
         id="tmp-c95f7d02-a720-43d7-8035-0e77c9c71847">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]"
         id="tmp-d6afb1d4-a633-4695-8a8a-f49b038e3577">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]"
         id="tmp-648b9934-d44f-4d38-9c23-946f069240e9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]"
         id="tmp-d6138539-a250-40d1-8946-37c86f002e66">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]"
         id="tmp-08c25dd9-a57f-4d66-ad21-62d7f0f8a9c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]"
         id="tmp-a944db62-ea04-4523-8645-4d9bc748c1cc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]"
         id="tmp-14c2228b-da54-41de-a46a-289f2fcd5ea0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]"
         id="tmp-3397d902-aaa8-45ec-a218-c947cf09da98">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]"
         id="tmp-db134d2a-1091-42d0-ba96-63fe452adc1d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]
Item: (Choice.6.44.1.2)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]"
         id="tmp-27b04a92-1e74-4c55-aa0f-268644a42672">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true'">(Choice.6.44.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT'">(Choice.6.44.1.2): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>
</pattern>