<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.9001
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.9001">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter
Item: (PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter" id="tmp-1bfed9dc-1772-4c5e-8496-eda400104b6c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:parameterList)&gt;=1 and not(hl7:parameterList/@nullFlavor)">(PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:parameterList is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList
Item: (PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList"
         id="tmp-409f067b-621d-4f44-9c31-17398a9fc507">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:patientId)&lt;=1">(PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId
Item: (PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId"
         id="tmp-9310e923-b304-453d-b4c2-e8734cf56d61">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(PrimaryCareRecordProfileQueryMeldkamer-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9001
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (PrimaryCareRecordProfileQueryMeldkamer-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-dafd6d12-bb31-490a-bf1b-c7c29faec910">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PrimaryCareRecordProfileQueryMeldkamer-PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(PrimaryCareRecordProfileQueryMeldkamer-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9001.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PrimaryCareRecordProfileQueryMeldkamer-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>