<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.9002
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.9002">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter
Item: (PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter" id="tmp-909e9d95-c9a3-4cff-8dda-25f3e3635405">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:parameterList)&gt;=1 and not(hl7:parameterList/@nullFlavor)">(PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:parameterList is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList
Item: (PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList"
         id="tmp-443c0d11-4f04-4529-ae0e-04fc368c3243">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:patientId)&lt;=1">(PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId
Item: (PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId"
         id="tmp-4d07fd22-efcf-4400-8c14-b5d5264d427d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-8e4aa97b-7a8e-4042-82b4-7055173b5952">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PrimaryCareRecordProfileQueryAmbulance-PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(PrimaryCareRecordProfileQueryAmbulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PrimaryCareRecordProfileQueryAmbulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>