<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.6
Description: Dit template wordt gebruikt voor diagnostische bepalingen (uitslagen). In deze template wordt de klasse observation ingevuld, samen met ReferenceRange en ObservationRange, zoals deze gebruikt moet worden bij uitslagen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.6">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]
Item: (Uitslag)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation"
         id="tmp-d7e325d9-9a39-484e-b6c7-cf6ac828da8c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@classCode='OBS'">(Uitslag): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@moodCode='EVN'">(Uitslag): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']/@nullFlavor)">(Uitslag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(Uitslag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Uitslag): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:code)&lt;=1">(Uitslag): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:text)&lt;=1">(Uitslag): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:effectiveTime)&lt;=1">(Uitslag): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="$elmcount&lt;=1">(Uitslag): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:author)&lt;=1">(Uitslag): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']"
         id="tmp-f1d9805a-5365-4da2-9dff-c0a92de16183">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.6'">(Uitslag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Uitslag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id"
         id="tmp-cece76e4-ec33-49d2-a029-af06454acfc0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code"
         id="tmp-acdfe947-69ef-4a7b-8f87-f21ce4825112">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-DiagnostischeBepalingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-DiagnostischeBepalingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Uitslag): de waarde van @code MOET worden gekozen uit waardenlijst DiagnostischeBepalingen NHG HIS tabel 45 Diagnostische bepalingen versie 14 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Uitslag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst DiagnostischeBepalingen NHG HIS tabel 45 Diagnostische bepalingen versie 14 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text"
         id="tmp-74501302-5177-4f7b-9731-1ef6d503d30d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime"
         id="tmp-02b76133-3361-47d7-a720-6a34c3f0dc34">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation"
         id="tmp-c0a7ccc5-7c96-411f-bca4-86ba98b60943">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(Uitslag): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']"
         id="tmp-ff842031-2490-45dd-84c4-a3801bf5c7f9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="$digitok">(Uitslag): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Uitslag): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-3c5f8604-1f08-4618-b460-a02f31374f78">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Uitslag): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Uitslag): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Uitslag): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']"
         id="tmp-9e7ecbe2-7fcb-4ce2-af67-a5d3c16aaa02">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.1045')">(Uitslag): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.30.1045'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']"
         id="tmp-1129ea51-954b-47ee-be96-6a525f1145b9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']"
         id="tmp-894c8e3d-04b0-4abf-95ab-1b5a1bf3e86c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']"
         id="tmp-4e6412b9-bc7e-4745-8ea5-466f23eff562">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode
Item: (Uitslag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode"
         id="tmp-edec000d-38d0-4807-abfd-4f9d0074c643">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Uitslag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Uitslag): de waarde van @code MOET worden gekozen uit waardenlijst ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Uitslag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author
Item: (Author.6.8.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author"
         id="tmp-309e7b8c-2e56-48b0-b05e-54560e9d9e67">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@typeCode='AUT'">(Author.6.8.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@contextControlCode='OP'">(Author.6.8.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.8.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.8.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-af7179c1-9fdc-4e7c-828f-29be8969bda5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@classCode='ASSIGNED'">(Author.6.8.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer
Item: (Performer.6.8.1.2)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer"
         id="tmp-abe0fbe7-18de-47bf-b8ff-d65ab1b101ef">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@typeCode='PRF'">(Performer.6.8.1.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@contextControlCode='OP'">(Performer.6.8.1.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.8.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.8.1.2)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f457394d-8372-419d-a175-961b56ceaaee">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@classCode='ASSIGNED'">(Performer.6.8.1.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange
Item: (ReferenceRange.6.11.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange"
         id="tmp-4e845172-aedc-44a8-aa28-23b3170ea517">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@typeCode='REFV'">(ReferenceRange.6.11.1.1): de waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@contextConductionInd='false'">(ReferenceRange.6.11.1.1): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange
Item: (ReferenceRange.6.11.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange"
         id="tmp-87814747-7207-4382-8932-7b4d7b9a896c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@classCode='OBS'">(ReferenceRange.6.11.1.1): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@moodCode='EVN.CRT'">(ReferenceRange.6.11.1.1): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:text)&lt;=1">(ReferenceRange.6.11.1.1): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">(ReferenceRange.6.11.1.1): element hl7:interpretationCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:interpretationCode)&lt;=1">(ReferenceRange.6.11.1.1): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value)&gt;=1 ">(ReferenceRange.6.11.1.1): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="count(hl7:value)&lt;=1">(ReferenceRange.6.11.1.1): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (ReferenceRange.6.11.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text"
         id="tmp-09a3eecd-f794-479d-b4ac-adc65023a2dc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(ReferenceRange.6.11.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode
Item: (ReferenceRange.6.11.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode"
         id="tmp-bf2f5712-b6d4-4c0e-ace6-7db06f0b2fec">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(ReferenceRange.6.11.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(ReferenceRange.6.11.1.1): de waarde van @code MOET worden gekozen uit waardenlijst ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(ReferenceRange.6.11.1.1): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value
Item: (ReferenceRange.6.11.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value"
         id="tmp-3fc14ec3-b5cb-472b-ad9d-3548ff72663f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(ReferenceRange.6.11.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(ReferenceRange.6.11.1.1): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(ReferenceRange.6.11.1.1): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.6.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(ReferenceRange.6.11.1.1): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
</pattern>