<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.9
Description: Deze template wordt gebruikt voor correspondentie. In deze paragraaf wordt Act, outboundRelationship en nogmaals Act beschreven zoals gebruikt voor correspondentie. Samenvattingen van correspondentie zijn opgenomen d.m.v. twee acts die gekoppeld zijn met de actRelationship “SUMM” (summarized by) in outboundRelationship. De eerste act is een representatie van de correspondentie en bevat gegevens over de auteur, organisatie en datum van de originele correspondentie. De tweede act bevat de daadwerkelijke samenvatting en gegevens over de auteur van de samenvatting.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.9">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]
Item: (Correspondentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act
Item: (Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act"
         id="tmp-d9f05f95-b8f4-4473-904b-3affbc9b0e9d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='DOCCLIN'">(Correspondentie): de waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@moodCode='EVN'">(Correspondentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']/@nullFlavor)">(Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Correspondentie): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(Correspondentie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(Correspondentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&lt;=1">(Correspondentie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:effectiveTime)=0">(Correspondentie): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Correspondentie): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&lt;=1">(Correspondentie): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']
Item: (Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']"
         id="tmp-412164bb-aec8-4f14-a402-91b053b9e8ac">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.9'">(Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.9' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:id
Item: (Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:id"
         id="tmp-b019d890-9dc5-4a42-bc16-6a66dbf55cac">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Correspondentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:code
Item: (Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:code"
         id="tmp-a2f320e4-0543-412c-960a-2bb634d135ec">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Correspondentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or (@code='UNK' and @codeSystem='2.16.840.1.113883.5.1008')">(Correspondentie): de waarde van @code/@codeSystem MOET ''UNK' codeSystem '2.16.840.1.113883.5.1008'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:text
Item: (Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:text"
         id="tmp-fc964c24-b726-47d8-8601-5782bcd419a4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Correspondentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:effectiveTime
Item: (Correspondentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author
Item: (Author.6.12.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author"
         id="tmp-55741a69-d4b3-435d-a8b7-cfd995321e6d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='AUT'">(Author.6.12.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='ON'">(Author.6.12.1.1): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(Author.6.12.1.1): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&lt;=1">(Author.6.12.1.1): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(Author.6.12.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.12.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:time
Item: (Author.6.12.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:time"
         id="tmp-185f3ebb-208a-46a4-80de-ce831e1c2c1a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Author.6.12.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.12.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-3b4ab089-000a-4018-acb7-4dbabff13394">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED'">(Author.6.12.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Author.6.12.1.1): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(Author.6.12.1.1): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (Author.6.12.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-4e1540cf-7e2b-4f62-a147-8c5f9796f8df">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(Author.6.12.1.1): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.30.12'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer
Item: (Performer.6.8.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer"
         id="tmp-144f724f-f1cf-4fdf-b659-c256087777f2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='PRF'">(Performer.6.8.1.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='OP'">(Performer.6.8.1.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.8.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.8.1.2)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-6de3590a-2812-4a67-8197-e2867d71e18f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED'">(Performer.6.8.1.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship
Item: (OutboundRelationship.6.12.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship"
         id="tmp-d7179038-5bca-43ca-b14a-eef5463365e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='SUMM'">(OutboundRelationship.6.12.1.2): de waarde van @typeCode MOET 'SUMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextConductionInd='true'">(OutboundRelationship.6.12.1.2): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(OutboundRelationship.6.12.1.2): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:act)&lt;=1">(OutboundRelationship.6.12.1.2): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act
Item: (OutboundRelationship.6.12.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act"
         id="tmp-838ef7e9-e023-448f-a8cf-95bd312bbcc3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='DOCCLIN'">(OutboundRelationship.6.12.1.2): de waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@moodCode='EVN'">(OutboundRelationship.6.12.1.2): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(OutboundRelationship.6.12.1.2): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(OutboundRelationship.6.12.1.2): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(OutboundRelationship.6.12.1.2): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(OutboundRelationship.6.12.1.2): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&lt;=1">(OutboundRelationship.6.12.1.2): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(OutboundRelationship.6.12.1.2): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&lt;=1">(OutboundRelationship.6.12.1.2): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id
Item: (OutboundRelationship.6.12.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id"
         id="tmp-787785fc-3664-481a-b52a-994ed04b1ab7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OutboundRelationship.6.12.1.2): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code
Item: (OutboundRelationship.6.12.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code"
         id="tmp-b1ff77ed-115b-4071-a4e1-3edfdf421107">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(OutboundRelationship.6.12.1.2): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or (@code='UNK' and @codeSystem='2.16.840.1.113883.5.1008')">(OutboundRelationship.6.12.1.2): de waarde van @code/@codeSystem MOET ''UNK' codeSystem '2.16.840.1.113883.5.1008'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text
Item: (OutboundRelationship.6.12.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text"
         id="tmp-fd67302a-4702-40a9-80da-311fa62e720c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(OutboundRelationship.6.12.1.2): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author
Item: (Author.6.12.1.99)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author"
         id="tmp-6d38833a-08d0-42f2-8f95-35f99befc3ed">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='AUT'">(Author.6.12.1.99): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='ON'">(Author.6.12.1.99): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(Author.6.12.1.99): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&lt;=1">(Author.6.12.1.99): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.12.1.99): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time
Item: (Author.6.12.1.99)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time"
         id="tmp-1a817090-bbe4-403d-be58-c390b05a479a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Author.6.12.1.99): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.12.1.99)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2a8b75af-9c73-4eb4-8325-68160df1b7dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED'">(Author.6.12.1.99): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer
Item: (Performer.6.8.1.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer"
         id="tmp-3382e751-127f-42ba-b2f0-d76d86c05f58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='PRF'">(Performer.6.8.1.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='OP'">(Performer.6.8.1.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.8.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.8.1.2)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-d94692f6-f403-44b4-bca8-24cb98890d8c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED'">(Performer.6.8.1.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>