<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.35.5
Description: Template: Labuitslag Medicatiebewaking (payload)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.35.5">
   <title>LabuitslagMedicatiebewaking (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject"
         id="tmp-931020de-0ddf-4efd-bd0b-6b11cc7a218d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&gt;=1 and not(hl7:observationReport/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:observationReport is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:observationReport komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport"
         id="tmp-c6f9d2f2-b5d4-44a3-88aa-281ce673d4f2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='GROUPER'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:specimen komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:recordTarget)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:informationRecipient)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&gt;=1 and not(hl7:component1/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:component1 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:component1 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.5']"
         id="tmp-136519b1-586d-4cd6-bffe-028cec1bfd46">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.35.5'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:id"
         id="tmp-dae6762d-7ae8-4e21-947c-6df9390411ee">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:code"
         id="tmp-6a543ed1-54e5-4b82-944d-62f20b21b9b5">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LabSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LabSpeciality-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst LabSpeciality DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst LabSpeciality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:statusCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:statusCode"
         id="tmp-b0662ee6-27d3-4d5d-ae84-fceec6a62762">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen"
         id="tmp-90f3811a-50de-4c77-825c-dcff4f4086e5">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='SPC'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:specimen is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimen)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen"
         id="tmp-1e104812-dd74-47d8-be0d-36b7e861eebc">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='SPEC'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:sourceNatural)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:sourceNatural komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:productOf)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:productOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:id"
         id="tmp-b614d0f7-209b-493e-b0c6-b34fe85cf46f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:code"
         id="tmp-619235f3-858f-457e-9bc0-08384520fafe">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor='NA'">(LabuitslagMedicatiebewaking-payload): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural"
         id="tmp-3f5427f5-bbf2-41ff-acb8-9994d18c8a0e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ENT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:code"
         id="tmp-b1ed46c7-793e-4c43-9c34-2554082ba857">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SpecimenType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SpecimenType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst SpecimenType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst SpecimenType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer"
         id="tmp-7ff13979-0b45-4112-ab4f-d73c7ee9f5c8">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:container)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:container komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container"
         id="tmp-a0c1c09c-aab8-4f8d-b7c9-1311fccc599c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:asEntityInEntity)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:asEntityInEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:code"
         id="tmp-43d4d60a-71af-4128-8a58-4d5170248db1">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ContainerEntityType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ContainerEntityType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ContainerEntityType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ContainerEntityType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity"
         id="tmp-fdd3d49e-1344-43bc-b8d3-e95665161648">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CONT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:containerAdditiveMaterial)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:containerAdditiveMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial"
         id="tmp-870b3112-e2d1-46bd-84bd-7fb5752ddc0b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='MAT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='KIND'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:id"
         id="tmp-9370f614-bd7d-48e8-b7fc-1df1ebf448ba">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:sourceNatural/hl7:asSpecimenInContainer/hl7:container/hl7:asEntityInEntity/hl7:containerAdditiveMaterial/hl7:code"
         id="tmp-c7386528-9015-45bd-9bc4-97d30f57ac6f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MaterialEntityAdditive-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MaterialEntityAdditive-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst MaterialEntityAdditive DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MaterialEntityAdditive DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf"
         id="tmp-d98a077b-5029-44e9-8100-0e4f76955570">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='PRD'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimenCollectionProcess)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:specimenCollectionProcess is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:specimenCollectionProcess)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:specimenCollectionProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess"
         id="tmp-3daf86ad-6fda-4758-b81d-06e73248f720">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='SPECCOLLECT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:effectiveTime)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:code"
         id="tmp-288d601a-8a78-4865-9218-cc3fd00b0cfa">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActSpecimenCollectionProcedureCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActSpecimenCollectionProcedureCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ActSpecimenCollectionProcedureCode DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActSpecimenCollectionProcedureCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:effectiveTime
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:specimen/hl7:specimen/hl7:productOf/hl7:specimenCollectionProcess/hl7:effectiveTime"
         id="tmp-66ff3003-58b0-4785-bfb1-d73eb47b7dca">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget"
         id="tmp-8989bf2c-b354-485f-937b-6b44f6c6af4a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='RCT'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patient)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient"
         id="tmp-d11f6fd9-5e0a-4ee5-a173-e4032149ce59">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PAT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;0">(LabuitslagMedicatiebewaking-payload): Identificatie van patient moet minstens een BSN bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:patientPerson)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-c9d9ef3d-0f9a-4e9d-ab80-ca55f074bcca">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:addr"
         id="tmp-a5950084-112b-4afe-99a9-b6b1653c47ef">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:telecom"
         id="tmp-f688438e-ccc3-496d-9331-1bfbaa280e57">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson"
         id="tmp-16ef8931-7ec4-415d-b531-bae2a958f5fa">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:birthTime)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-51ea6522-954f-4c66-891b-e98a6049eee2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@use='L' or @use='OR' or not(@use)">(LabuitslagMedicatiebewaking-payload): de waarde van @use MOET één van de volgende codes bevatten: L', 'OR.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-3454c4c1-c519-4dfe-898a-3b4b71f0fbac">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-cbed84a7-1075-4ce9-8b9e-4c72d7f976b5">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd"
         id="tmp-60dd8d54-3d75-443e-9d34-1f24adb1adce">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber"
         id="tmp-a63d0c79-247c-459f-84f3-d7fee7934887">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">(LabuitslagMedicatiebewaking-payload): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              test="hl7:multipleBirthInd/@value='false' or string-length(hl7:multipleBirthOrderNumber/@value)&gt;0">(LabuitslagMedicatiebewaking-payload): Rangnummer (HL7): als multipleBirthInd=true dan moet het element multipleBirthOrderNumber aanwezig zijn en een waarde hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer"
         id="tmp-3b522636-dee9-4844-84b9-454f88e9bdc8">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='PRF'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson"
         id="tmp-a89a53f1-9860-4d23-8a6f-35bf4596a7a0">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-a89de4a4-b473-45b6-b9fa-be33987d90f3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:code"
         id="tmp-4c686636-847b-43d6-bf86-4f9b35f829b6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:addr"
         id="tmp-500715c7-dd1e-455c-abca-a5d5ae1e5ff6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:telecom"
         id="tmp-21c3691d-8de1-4e97-8b61-97146b296b88">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization"
         id="tmp-38cb3036-359c-482c-8c6d-3383c19a959f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-28deb421-73ab-43c3-99a6-26dd2df4f644">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:name"
         id="tmp-ab6bb53f-9cb8-44e6-9148-672ff75197fa">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:addr"
         id="tmp-05ab221a-4930-4ef3-8e87-0da805640371">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:telecom"
         id="tmp-fe4e26d0-45ad-4e9c-8314-53502832c658">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author"
         id="tmp-9ede1d9d-16b2-44c6-a09d-2eec30c526c7">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='AUT'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:time
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:time"
         id="tmp-69114d06-05e7-4e58-8c72-8ccef6a56a5c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity"
         id="tmp-9ee455a7-1bf3-431a-9200-21ffe3ee805a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.1'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-e3df4219-fc48-4d73-8f16-c1ba568e2de5">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-7ac6ed2c-6f05-4ada-a01a-0448edf6780d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-3faa4b25-6da0-453a-9d08-75eac2372c1e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:telecom"
         id="tmp-8bdfe3f0-7430-4974-bf18-216af9d22375">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-584c0c6f-b48b-4976-b61b-b705fe7cc5ec">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-650e6243-5b32-4806-914a-a25150c4d947">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-636b1136-2fd8-4077-8009-4d53197f01f3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-d7b51df4-9748-4f67-9147-dd2075bb705f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:code"
         id="tmp-eb3087f5-2dd3-4e87-bb33-8956878af020">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanbiederType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-e4b0a30e-6754-41ee-925f-3d21be30f72e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-1ebb3b05-10c8-47d4-9843-8e759dc461a9">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-73f2ee29-7502-4ead-b001-6f6daf77cc6e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient"
         id="tmp-2816c896-ee17-4b03-800c-d869c706a64a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='REFB'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'REFB' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:time)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedEntity)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:time
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:time"
         id="tmp-dd2ab93a-50ee-426c-a698-375f6a443170">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity"
         id="tmp-09f082ac-e87d-4c31-bd5f-22311c6f1b10">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ASSIGNED'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:assignedPerson)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:representedOrganization)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-d65b4216-08cb-46d4-a9f0-6b2fb878910b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.1'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:addr"
         id="tmp-c76c24d6-786a-4b6f-9e9d-dea356a82e66">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:telecom"
         id="tmp-ed14e95c-f8f1-4701-8f64-7038b43578d0">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-366a54e3-f44a-435e-ae28-df0937b5844b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='PSN'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-09df3932-4267-4b66-9e8b-23ea107432b3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-a68c5ae0-c6f0-4951-a708-479cdc9e5b50">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ORG'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@determinerCode='INSTANCE'">(LabuitslagMedicatiebewaking-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-38d24c30-2dbb-44ce-bc7e-d746ee7e955b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@root='2.16.528.1.1007.3.3'">(LabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="string-length(@extension)&gt;0">(LabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-db73943e-f534-4a67-912b-7cd6838f7c1f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-3b440131-caf9-4326-8c95-d5b8d86cdde8">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:informationRecipient/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-6ae8f5a0-fe66-4975-a7d8-e218484f8d95">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf"
         id="tmp-4228fa93-57b0-499c-9ca6-baa2986727ba">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='FLFS'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <let name="elmcount" value="count(hl7:placerOrder|hl7:fulfillerPromise)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:placerOrder of hl7:fulfillerPromise) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:placerOrder of hl7:fulfillerPromise) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:placerOrder)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:placerOrder komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:fulfillerPromise)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:fulfillerPromise komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf"
         id="tmp-64dc2227-f1bd-427f-857a-5ae0bbd45910">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:placerOrder)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:placerOrder komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:fulfillerPromise)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:fulfillerPromise komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder"
         id="tmp-62bd9fc4-d74f-48e4-834f-7a9c4d65b812">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ACT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='RQO'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:placerOrder/hl7:id"
         id="tmp-7be11beb-131e-4833-a7f9-53815a062ed3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise"
         id="tmp-d5cc485b-4675-4be2-90a6-164f1a276f98">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='ACT'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='PRMS'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'PRMS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:id"
         id="tmp-7e2cf25a-134b-4cb1-b1b2-8a2f9dd2ae30">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:statusCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:inFulfillmentOf/hl7:fulfillerPromise/hl7:statusCode"
         id="tmp-2ef40631-054e-4679-8e6a-39250c48ee43">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1"
         id="tmp-a004a980-e0a8-4648-b7a3-489d5f114494">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='COMP'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:observationReport is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationReport)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:observationReport komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport"
         id="tmp-3c14305e-5ca9-40b1-9a58-0715373375ea">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='CLUSTER'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:component1)&gt;=1 and not(hl7:component1/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:component1 is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:code"
         id="tmp-a0dbbf78-6040-4fba-ad13-40c774ad18ce">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LabBattery-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LabBattery-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst LabBattery DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst LabBattery DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:statusCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:statusCode"
         id="tmp-6652f7ed-5596-4237-955a-29136bb2575c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1"
         id="tmp-d78b4e46-7525-4fb2-bc51-4aa67580b1c3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='COMP'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@contextControlCode='OP'">(LabuitslagMedicatiebewaking-payload): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:observationEvent)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent"
         id="tmp-b8d1c893-0d27-4374-8987-754971a0564f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='OBS'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&gt;=1 ">(LabuitslagMedicatiebewaking-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:id)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:code)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:statusCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:effectiveTime)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CD']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL']|hl7:value[@xsi:type='RTO'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:methodCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:referenceRange)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:referenceRange komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:id
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:id"
         id="tmp-3c3bde0b-7050-40bf-a16c-4091b6c486b1">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:code
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:code"
         id="tmp-aab0182b-2152-4acb-bc58-04bf1c5f18af">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1') or (@codeSystem='2.16.840.1.113883.6.96')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.6.1' of '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:statusCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:statusCode"
         id="tmp-7c56046c-e3a2-4402-b6a1-3e98837942eb">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='completed')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:effectiveTime
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:effectiveTime"
         id="tmp-0bd45626-bf4b-44a3-a464-6b7bafcb4769">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent"
         id="tmp-bbb0cf43-8bdd-47f7-93f7-0edeedf7cd1a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='PQ']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='PQ']"
         id="tmp-564c6f7c-8d29-4fa8-a8b7-f262fb22bf84">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">(LabuitslagMedicatiebewaking-payload): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(LabuitslagMedicatiebewaking-payload): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='IVL_PQ']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-853a7e0c-c775-4868-bbd7-3f37a5c4ec40">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CD']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CD']"
         id="tmp-3b61a2e1-e1e1-4902-84d0-d4a23706a8f9">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CV']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='CV']"
         id="tmp-5eb38a67-905c-4857-9645-25eb3cb9cbed">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='ST']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='ST']"
         id="tmp-320cfb13-41f4-4f43-b46a-2accb34904f8">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='TS']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='TS']"
         id="tmp-d90be211-6a6a-49de-98fd-fbbc40c29f40">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='BL']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='BL']"
         id="tmp-3b215fcf-6d95-43b6-b621-ef48e974bbba">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='RTO']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:value[@xsi:type='RTO']"
         id="tmp-e12c7e60-b1a7-4714-8233-961b6534696c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='RTO' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:interpretationCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:interpretationCode"
         id="tmp-35a02266-b610-4d9e-b428-632e2efa8b0b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ObservationInterpretation DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ObservationInterpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:methodCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:methodCode"
         id="tmp-d5041623-24da-455a-a503-6e5b6f4149f6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationMethod-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationMethod-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET worden gekozen uit waardenlijst ObservationMethod DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(LabuitslagMedicatiebewaking-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ObservationMethod DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange"
         id="tmp-fb386dad-b9d3-4c0b-8dd8-c8ee0515391e">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@typeCode='REFV'">(LabuitslagMedicatiebewaking-payload): de waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationRange)&gt;=1 and not(hl7:interpretationRange/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:interpretationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationRange)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:interpretationRange komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange"
         id="tmp-a13b2696-619b-4387-985e-0b7550b8c655">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@classCode='OBS'">(LabuitslagMedicatiebewaking-payload): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@moodCode='EVN.CRT'">(LabuitslagMedicatiebewaking-payload): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CD']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL']|hl7:value[@xsi:type='RTO'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&gt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$elmcount&lt;=1">(LabuitslagMedicatiebewaking-payload): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CD'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL'] of hl7:value[@xsi:type='RTO']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">(LabuitslagMedicatiebewaking-payload): element hl7:interpretationCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:interpretationCode)&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange"
         id="tmp-3c10e166-7cd8-4d06-b539-61f835b659f3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CD'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CD'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="count(hl7:value[@xsi:type='RTO'])&lt;=1">(LabuitslagMedicatiebewaking-payload): element hl7:value[@xsi:type='RTO'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='PQ']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='PQ']"
         id="tmp-cf6983d0-32a5-4f29-a10b-5add53f2262f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$digitok">(LabuitslagMedicatiebewaking-payload): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(LabuitslagMedicatiebewaking-payload): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='IVL_PQ']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-b4421f4d-73c3-4ccc-991f-0fc7a58accd0">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(LabuitslagMedicatiebewaking-payload): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CD']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CD']"
         id="tmp-357b2b60-6399-4e8d-8162-35efa1a7c948">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CV']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='CV']"
         id="tmp-18b3d5cf-d6ec-4c9c-ba46-e639644e7e79">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='ST']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='ST']"
         id="tmp-31c54f28-468c-469b-85a5-73bf05523f27">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='TS']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='TS']"
         id="tmp-a9b8f672-b354-47c1-921b-7c3633868391">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='BL']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='BL']"
         id="tmp-994f091a-fc4f-4622-84f3-454d63be8a6f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='RTO']
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:value[@xsi:type='RTO']"
         id="tmp-59dd0d86-f896-45ad-91f9-d2b01d4a2f7b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='RTO' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.5
Context: hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:interpretationCode
Item: (LabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:subject/hl7:observationReport/hl7:component1/hl7:observationReport/hl7:component1/hl7:observationEvent/hl7:referenceRange/hl7:interpretationRange/hl7:interpretationCode"
         id="tmp-83c577c4-35e5-4df7-9815-94362e85142d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.5.html"
              test="@nullFlavor or (@code='N')">(LabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''N'' zijn.</assert>
   </rule>
</pattern>
